# Auto_Event.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Event.h"`
`#include "ace/Auto_Event.inl"`

Include dependency graph for Auto_Event.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Auto_Event
| Auto Events. More...

## Detailed Description

Id
  Auto_Event.h,v 4.3 2006/02/10 09:22:04 jwillemsen Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>